Package org.opensaml.saml.saml1.core

# Interface Assertion

All Superinterfaces:
  `Evidentiary`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XMLObject`

All Known Implementing Classes:
  `AssertionImpl`

public interface Assertion extends SignableSAMLObject, Evidentiary
This interface defines how the object representing a SAML 1 `Assertion` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ASSERTIONID_ATTRIB_NAME`
Name for the attribute which defines Assertion ID.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`ID_ATTRIB_NAME`
Name for the attribute which defines the Issue Instant.
`static final String`
`ISSUEINSTANT_ATTRIB_NAME`
Name for the attribute which defines the issue instant.
`static final QName`
`ISSUEINSTANT_ATTRIB_QNAME`
QName for the attribute which defines the issue instant.
`static final String`
`ISSUER_ATTRIB_NAME`
Name for the attribute which defines Issuer.
`static final String`
`MAJORVERSION_ATTRIB_NAME`
Name for the attribute which defines Major Version (attribute's value must be 1).
`static final String`
`MINORVERSION_ATTRIB_NAME`
Name for the attribute which defines Minor Version.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Advice`
`getAdvice()`
advice is a (singleton) Object, representing the `Advice` sub element.
`List<AttributeStatement>`
`getAttributeStatements()`
Return all the `AttributeStatement` elements.
`List<AuthenticationStatement>`
`getAuthenticationStatements()`
Return the List representing all the `AuthenticationStatement` sub elements.
`List<AuthorizationDecisionStatement>`
`getAuthorizationDecisionStatements()`
Return the List representing all the `AuthorizationStatement` sub elements.
`Conditions`
`getConditions()`
Return the (singleton) Object, representing the `Conditions` sub element.
`String`
`getID()`
Set the ID.
`Instant`
`getIssueInstant()`
Get the IssueInstant (attribute).
`String`
`getIssuer()`
Get the Issuer (which is an attribute) .
`Integer`
`getMajorVersion()`
Deprecated, for removal: This API element is subject to removal in a future version.
`Integer`
`getMinorVersion()`
Deprecated, for removal: This API element is subject to removal in a future version.
`List<Statement>`
`getStatements()`
Return the List representing all the `Statement` sub elements.
`List<Statement>`
`getStatements(QName typeOrName)`
Return the List representing all the `Statement` sub elements with a given schema type or element name.
`List<SubjectStatement>`
`getSubjectStatements()`
Return the List representing all the `SubjectStatement` sub elements.
`SAMLVersion`
`getVersion()`
Gets the SAML version for this message.
`void`
`setAdvice(Advice advice)`
Set the Object representing the `Advice` sub element.
`void`
`setConditions(Conditions conditions)`
Set the Object representing the `Conditions` Sub element.
`void`
`setID(String id)`
Get the ID.
`void`
`setIssueInstant(Instant issueInstant)`
Set the IssueInstance (attribute).
`void`
`setIssuer(String issuer)`
Set the Issuer (attribute).
`void`
`setVersion(SAMLVersion version)`
Set the SAML version of this assertion.

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### MAJORVERSION_ATTRIB_NAME

@Nonnull @NotEmpty static final String MAJORVERSION_ATTRIB_NAME
Name for the attribute which defines Major Version (attribute's value must be 1).

See Also:
  - Constant Field Values

### MINORVERSION_ATTRIB_NAME

@Nonnull @NotEmpty static final String MINORVERSION_ATTRIB_NAME
Name for the attribute which defines Minor Version.

See Also:
  - Constant Field Values

### ASSERTIONID_ATTRIB_NAME

@Nonnull @NotEmpty static final String ASSERTIONID_ATTRIB_NAME
Name for the attribute which defines Assertion ID.

See Also:
  - Constant Field Values

### ISSUER_ATTRIB_NAME

@Nonnull @NotEmpty static final String ISSUER_ATTRIB_NAME
Name for the attribute which defines Issuer.

See Also:
  - Constant Field Values

### ISSUEINSTANT_ATTRIB_NAME

@Nonnull @NotEmpty static final String ISSUEINSTANT_ATTRIB_NAME
Name for the attribute which defines the issue instant.

See Also:
  - Constant Field Values

### ISSUEINSTANT_ATTRIB_QNAME

@Nonnull static final QName ISSUEINSTANT_ATTRIB_QNAME
QName for the attribute which defines the issue instant.

### ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String ID_ATTRIB_NAME
Name for the attribute which defines the Issue Instant.

See Also:
  - Constant Field Values

## Method Details

### getID

@Nullable String getID()
Set the ID.

Returns:
  the ID

### setID

void setID(@Nullable String id)
Get the ID.

Parameters:
  `id` - what to set

### getMajorVersion

@Deprecated(since="5.0.0", forRemoval=true) @Nullable Integer getMajorVersion()
Deprecated, for removal: This API element is subject to removal in a future version.
Get the MajorVersion attribute.

Deprecated, use `getVersion()`.

Returns:
  the stored MajorVersion

### getMinorVersion

@Deprecated(since="5.0.0", forRemoval=true) @Nullable Integer getMinorVersion()
Deprecated, for removal: This API element is subject to removal in a future version.
Get the MinorVersion attribute.

Deprecated, use `getVersion()`.

Returns:
  the stored MinorVersion

### getVersion

@Nullable SAMLVersion getVersion()
Gets the SAML version for this message.

Returns:
  SAML version for this message
Since:
  5.0.0

### setVersion

void setVersion(@Nullable SAMLVersion version)
Set the SAML version of this assertion.

Parameters:
  `version` - the SAML version of this assertion

### getIssuer

@Nullable String getIssuer()
Get the Issuer (which is an attribute) .

Returns:
  the Issuer

### setIssuer

void setIssuer(@Nullable String issuer)
Set the Issuer (attribute).

Parameters:
  `issuer` - the value to set

### getIssueInstant

@Nullable Instant getIssueInstant()
Get the IssueInstant (attribute).

Returns:
  the Issue Instant (as a Date)

### setIssueInstant

void setIssueInstant(@Nullable Instant issueInstant)
Set the IssueInstance (attribute).

Parameters:
  `issueInstant` - the issue instant value to set

### getConditions

@Nullable Conditions getConditions()
Return the (singleton) Object, representing the `Conditions` sub element.

Returns:
  the Conditions object.

### setConditions

void setConditions(@Nullable Conditions conditions)
Set the Object representing the `Conditions` Sub element.

Parameters:
  `conditions` - the condition to List

### getAdvice

@Nullable Advice getAdvice()
advice is a (singleton) Object, representing the `Advice` sub element.

Returns:
  the advice object in this assertion

### setAdvice

void setAdvice(@Nullable Advice advice)
Set the Object representing the `Advice` sub element.

Parameters:
  `advice` - the object to set

### getStatements

@Nonnull @Live List<Statement> getStatements()
Return the List representing all the `Statement` sub elements.

Returns:
  the List representing all the statements

### getStatements

@Nonnull @Live List<Statement> getStatements(@Nonnull QName typeOrName)
Return the List representing all the `Statement` sub elements with a given schema type or element name.

Parameters:
  `typeOrName` - the schema type or element name
Returns:
  the List representing all the statements

### getSubjectStatements

@Nonnull @Live List<SubjectStatement> getSubjectStatements()
Return the List representing all the `SubjectStatement` sub elements.

Returns:
  all the SubjectStatements

### getAuthenticationStatements

@Nonnull @Live List<AuthenticationStatement> getAuthenticationStatements()
Return the List representing all the `AuthenticationStatement` sub elements.

Returns:
  all the AuthenticationStatements

### getAuthorizationDecisionStatements

@Nonnull @Live List<AuthorizationDecisionStatement> getAuthorizationDecisionStatements()
Return the List representing all the `AuthorizationStatement` sub elements.

Returns:
  all the authorizationDecisionStatements.

### getAttributeStatements

@Nonnull @Live List<AttributeStatement> getAttributeStatements()
Return all the `AttributeStatement` elements.

Returns:
  all the attributeStatements